Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDeclSecurityActions

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDeclSecurityActions,MonoDeclSecurityActions.ByValue,MonoDeclSecurityActions.ByReference>
              com.nativelibs4java.mono.MonoDeclSecurityActions

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDeclSecurityActions,MonoDeclSecurityActions.ByValue,MonoDeclSecurityActions.ByReference>>

Direct Known Subclasses:
  MonoDeclSecurityActions.ByReference, MonoDeclSecurityActions.ByValue

    public class MonoDeclSecurityActions

extends Structure<MonoDeclSecurityActions,MonoDeclSecurityActions.ByValue,MonoDeclSecurityActions.ByReference>

native declaration : mono\metadata\reflection.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDeclSecurityActions.ByReference`
`static class` | `MonoDeclSecurityActions.ByValue`

Field Summary
`MonoDeclSecurityEntry` | `demand`
`MonoDeclSecurityEntry` | `demandchoice`
`MonoDeclSecurityEntry` | `noncasdemand`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDeclSecurityActions()`
`MonoDeclSecurityActions(MonoDeclSecurityEntry demand, MonoDeclSecurityEntry noncasdemand, MonoDeclSecurityEntry demandchoice)`

Method Summary
`protected MonoDeclSecurityActions.ByReference` | `newByReference()`
`protected MonoDeclSecurityActions.ByValue` | `newByValue()`
`protected MonoDeclSecurityActions` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### demand

    public MonoDeclSecurityEntry demand

### noncasdemand

    public MonoDeclSecurityEntry noncasdemand

### demandchoice

    public MonoDeclSecurityEntry demandchoice

Constructor Detail

### MonoDeclSecurityActions

    public MonoDeclSecurityActions()

### MonoDeclSecurityActions

    public MonoDeclSecurityActions(MonoDeclSecurityEntry demand,
                                   MonoDeclSecurityEntry noncasdemand,
                                   MonoDeclSecurityEntry demandchoice)

Method Detail

### newByReference

    protected MonoDeclSecurityActions.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDeclSecurityActions,MonoDeclSecurityActions.ByValue,MonoDeclSecurityActions.ByReference>`

### newByValue

    protected MonoDeclSecurityActions.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDeclSecurityActions,MonoDeclSecurityActions.ByValue,MonoDeclSecurityActions.ByReference>`

### newInstance

    protected MonoDeclSecurityActions newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDeclSecurityActions,MonoDeclSecurityActions.ByValue,MonoDeclSecurityActions.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD